set term post enhanced color solid "Arial" 12
set output "Kreis-Diagramm-Auto-GPS.ps"
set encoding iso_8859_1
set samples 1000
set title "Autofahrt im Hildesheimer Kreisel"
set yrange[*:*]
set xdata time
set timefmt "%H:%M:%S"
set format x "%H:%M:%S"
set xlabel "Uhrzeit"
set ylabel "Geschwindigkeit in km/h"

#Geschwindigkeit in Abhngigkeit von der Zeit (muesste konstant sein!)
plot "./koordinaten_kreis.dat" us 1:5 w lp lt 7 lw 4 t""

# Nrdliche Breite in Abhngigkeit von der Zeit:
set ylabel "stliche Lnge / "
a1              = -0.000895129#     +/- 1.665e-006   (0.186%)
b1              = 0.162664    #     +/- 9.041e-005   (0.05558%)
c1              = 9.97228     #     +/- 1.246e-006   (1.249e-005%)
d1              = -0.806688   #     +/- 0.00363      (0.4499%)
#Subtrahiere 44320 s
f1(x)=a1*sin(b1*x+d1)+c1
set xdata
set format "% g"
set xlabel "Dauer"
#fit [0:75] f1(x) "./koordinaten_kreis.dat" us ($6-44320):3 via a1,b1,c1,d1
set label 1 "Amplitude1=0.000895129" at graph 0.05, 0.9
set label 2 "Frequenz1=0.162664" at graph 0.05, 0.8

plot "./koordinaten_kreis.dat" us ($6-44320):3 w p lt 7 lw 4 t"",\
	x<75?f1(x):1/0 w l lt 1 lw 4 t""

a2              = 0.00087181    #   +/- 6.866e-006   (0.7876%)
b2              = 0.19368       #   +/- 0.0005606    (0.2895%)
c2              = 9.97226       #   +/- 4.935e-006   (4.948e-005%)
d2              = -6.55374      #   +/- 0.05584      (0.852%)
f2(x)=a2*sin(b2*x+d2)+c2
#fit [75:120] f2(x) "./koordinaten_kreis.dat" us ($6-44320):3 via a2,b2,c2,d2
set label 1 "Amplitude2=0.00087181" at graph 0.3, 0.9
set label 2 "Frequenz2=0.19368" at graph 0.3, 0.8

plot "./koordinaten_kreis.dat" us ($6-44320):3 w p lt 7 lw 4 t"",\
	(x>75&x<120)?f2(x):1/0 w l lt 2 lw 4 t""

a3              = -0.000960798  #   +/- 1.023e-006   (0.1065%)
b3              = 0.182254      #   +/- 5.795e-005   (0.0318%)
c3              = 9.97227       #   +/- 7.239e-007   (7.26e-006%)
d3              = -8.11357      #   +/- 0.009886     (0.1218%)
f3(x)=a3*sin(b3*x+d3)+c3
#fit [135:200] f3(x) "./koordinaten_kreis.dat" us ($6-44320):3 via a3,b3,c3,d3
set label 1 "Amplitude3=0.000960798" at graph 0.55, 0.9
set label 2 "Frequenz3=0.182254" at graph 0.55, 0.8

plot "./koordinaten_kreis.dat" us ($6-44320):3 w p lt 7 lw 4 t"",\
	(x>135&x<200)?f3(x):1/0 w l lt 3 lw 4 t""


set label 1 "Amplitude1=0.000895129" at graph 0.05, 0.9
set label 2 "Frequenz1=0.162664" at graph 0.05, 0.8
set label 3 "Amplitude2=0.00087181" at graph 0.3, 0.9
set label 4 "Frequenz2=0.19368" at graph 0.3, 0.8
set label 5 "Amplitude3=0.000960798" at graph 0.55, 0.9
set label 6 "Frequenz3=0.182254" at graph 0.55, 0.8

plot "./koordinaten_kreis.dat" us ($6-44320):3 w p lt 7 lw 4 t"",\
	(x>135&x<200)?f3(x):1/0 w l lt 3 lw 4 t"",\
	(x<75)?f1(x):1/0 w l lt 1 lw 4 t"",\
	(x>75&x<120)?f2(x):1/0 w l lt 2 lw 4 t""
set nolabel
##################################################
# stliche Lnge in Abhngigkeit von der Zeit:
set ylabel "Nrdliche Breite / "
a5              = 0.00055652   #    +/- 7.628e-007   (0.1371%)
b5              = 0.162491     #    +/- 6.49e-005    (0.03994%)
c5              = 52.1583      #    +/- 5.534e-007   (1.061e-006%)
d5              = 0.73679      #    +/- 0.002959     (0.4016%)
#Subtrahiere 44320 s
f5(x)=a5*sin(b5*x+d5)+c5
set xdata
set format "% g"
set xlabel "Dauer"
#fit [0:75] f5(x) "./koordinaten_kreis.dat" us ($6-44320):4 via a5,b5,c5,d5
set label 1 "Amplitude5=0.00055652" at graph 0.05, 0.98
set label 2 "Frequenz5=0.162491" at graph 0.05, 0.94

plot "./koordinaten_kreis.dat" us ($6-44320):4 w p lt 7 lw 4 t"",\
	x<75?f5(x):1/0 w l lt 1 lw 4 t""

a6              = 0.000550984  #    +/- 7.118e-006   (1.292%)
b6              = 0.190591     #    +/- 0.0009445    (0.4956%)
c6              = 52.1583      #    +/- 4.708e-006   (9.026e-006%)
d6              = -58.1226     #    +/- 0.09173      (0.1578%)
f6(x)=a6*sin(b6*x+d6)+c6
#fit [75:120] f6(x) "./koordinaten_kreis.dat" us ($6-44320):4 via a6,b6,c6,d6
set label 1 "Amplitude6=0.000550984" at graph 0.3, 0.98
set label 2 "Frequenz6=0.190591" at graph 0.3, 0.94

plot "./koordinaten_kreis.dat" us ($6-44320):4 w p lt 7 lw 4 t"",\
	(x>75&x<120)?f6(x):1/0 w l lt 2 lw 4 t""

a7              = 0.000597036  #    +/- 6.524e-007   (0.1093%)
b7              = 0.181796     #    +/- 5.901e-005   (0.03246%)
c7              = 52.1583      #    +/- 4.872e-007   (9.34e-007%)
d7              = -19.074      #    +/- 0.009824     (0.05151%)
f7(x)=a7*sin(b7*x+d7)+c7
#fit [135:200] f7(x) "./koordinaten_kreis.dat" us ($6-44320):4 via a7,b7,c7,d7
set label 1 "Amplitude7=0.000597036" at graph 0.55, 0.98
set label 2 "Frequenz7=0.181796" at graph 0.55, 0.94

plot "./koordinaten_kreis.dat" us ($6-44320):4 w p lt 7 lw 4 t"",\
	(x>135&x<200)?f7(x):1/0 w l lt 3 lw 4 t""


set label 1 "Amplitude5=0.00055652" at graph 0.05, 0.98
set label 2 "Frequenz5=0.162491" at graph 0.05, 0.94
set label 3 "Amplitude6=0.000550984" at graph 0.3, 0.98
set label 4 "Frequenz6=0.190591" at graph 0.3, 0.94
set label 5 "Amplitude7=0.000597036" at graph 0.55, 0.98
set label 6 "Frequenz7=0.181796" at graph 0.55, 0.94

plot "./koordinaten_kreis.dat" us ($6-44320):4 w p lt 7 lw 4 t"",\
	(x>135&x<200)?f7(x):1/0 w l lt 3 lw 4 t"",\
	(x<75)?f5(x):1/0 w l lt 1 lw 4 t"",\
	(x>75&x<120)?f6(x):1/0 w l lt 2 lw 4 t""
set nolabel
##################################################
# Phasenverschiebung zwischen den Bewegungen in SN- und WO-Richtung:
# Verschiebe dazu die "Schwingungen" um ihren jeweiligen Offset!
set title "Vergleich der Bewegung in Nord-Sd- und West-Ost-Richtung"

set xdata 
set format x "% g"

set ylabel ""

fit [10:200] a "./koordinaten_kreis.dat" us ($6-44320):4 via a
fit [10:200] b "./koordinaten_kreis.dat" us ($6-44320):3 via b


plot [10:200] "./koordinaten_kreis.dat" us ($6-44320):($4-a) w lp lt 1 lw 4 t"Lngengrad",\
     "./koordinaten_kreis.dat" us ($6-44320):($3-b) w lp lt 2 lw 4 t"Breitengrad"



##################################################

set xlabel "Uhrzeit"
set xdata time
set timefmt "%H:%M:%S"
set format x "%H:%M:%S"

#set ylabel "stliche Lnge / "
# stliche Lnge in Abhngigkeit von der Zeit:
#plot "./koordinaten_kreis.dat" us 1:4 w lp lt 7 lw 4 t""


# Position auf der Karte:
set ylabel "Nrdliche Breite / "
set xlabel "stliche Lnge / "
set xdata 
set format x "% g"

plot "./koordinaten_kreis.dat" us 3:4 w lp lt 7 lw 4 t""
